package com.community.huiju.feign.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class ApiThirdPartyMonthCardPay {

    /**
     *  手机号
     */
    @JSONField(name = "Phone")
    private String Phone;

    /**
     * 续费日期类型( 3:年 2:月 1:日, 选入对应的数字)
     */
    @JSONField(name = "RenewDayType")
    private String RenewDayType;

    /**
     * 续费日期数目
     */
    @JSONField(name = "RenewDay")
    private String RenewDay;

    /**
     * 交易编号
     */
    @JSONField(name = "DealNo")
    private String DealNo;

    /**
     * 交易方式(中文描述)，例如：微信、 支付宝、 银联
     */
    @JSONField(name = "PayStyle")
    private String PayStyle;

    /**
     * 车牌号
     */
    @JSONField(name = "CarNo")
    private String CarNo;

    /**
     * 停车卡号
     */
    @JSONField(name = "CardNo")
    private String CardNo;

    /**
     * 充值续费金额
     */
    @JSONField(name = "RechargeAmt")
    private String RechargeAmt;


}
