package com.community.huiju.feign.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeletePerson {


    /**
     * type : 厂家
     * person : {"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址","opUserUuid":"服务器操作人员UUID","personIds":"人员海康ID","cardNo":{"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址 ","opUserUuid":"服务器操作人员UUID","personId":"人员海康ID","cardNo":"卡号"}}
     */

    private String type;
    private PersonBean person;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class PersonBean {
        /**
         * secret : 服务器secret
         * appkey : 服务器appkey
         * openapi_ip_port_http : 服务器操地址
         * opUserUuid : 服务器操作人员UUID
         * personIds : 人员海康ID
         * cardNo : {"secret":"服务器secret","appkey":"服务器appkey","openapi_ip_port_http":"服务器操地址 ","opUserUuid":"服务器操作人员UUID","personId":"人员海康ID","cardNo":"卡号"}
         */

        private String secret;
        private String appkey;
        private String openapi_ip_port_http;
        private String opUserUuid;
        private String personIds;
        private CardNoBean cardNo;

        @Data
        @AllArgsConstructor
        @NoArgsConstructor
        public static class CardNoBean {
            /**
             * secret : 服务器secret
             * appkey : 服务器appkey
             * openapi_ip_port_http : 服务器操地址
             * opUserUuid : 服务器操作人员UUID
             * personId : 人员海康ID
             * cardNo : 卡号
             */

            private String secret;
            private String appkey;
            private String openapi_ip_port_http;
            private String opUserUuid;
            private Integer personId;
            private String cardNo;
        }
    }
}
