package com.community.huiju.event;

import lombok.Data;
import org.springframework.context.ApplicationEvent;

import java.util.HashMap;
import java.util.Map;

/**
 * 积分自定义积分事件
 * @author FXF
 * @date 2019-07-30
 */
@Data
public class MessageEvent extends ApplicationEvent {
	String type = "";
	
	Map<String,Object> paramsMap = new HashMap<>();
	
	public MessageEvent(Object source, String type, Map<String,Object> params) {
		super(source);
		this.type = type;
		if (null != params){
			this.paramsMap = params;
		}
	}
	
	
}
