package com.community.huiju.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 模板表 
 * </p>
 *
 * @author jobob
 * @since 2019-08-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 通知方式  1 是app内通知  2是短信通知
     */
    private String adviceType;

    /**
     * 模板类型
     */
    private String messageType;

    /**
     * 模板内容
     */
    private String modelContent;


}
