package com.community.huiju.feign.impl;

import com.alibaba.fastjson.JSONObject;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.feign.TaUserFeignService;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class TaUserFeignFallBack implements TaUserFeignService {

    @Override
    public String register(String parameter) {
        return back();
    }

    @Override
    public String pushHKPerson(Integer appUserId,Integer userVerifyId) {
        return back();
    }

    @Override
    public String downloadAuthorityByDeviceUuids() {
        return back();
    }

    @Override
    public String updateFaceInVerify(Integer userVerifyId) {
        return  back();
    }

    @Override
    public String deletePerson(Integer userVerifyId) {
        return back();
    }


    private String back() {
        log.error("app-api 远端服务请求失败！");
        ResponseBean responseBean = new ResponseBean();
        responseBean.addError("app-api 远端服务请求失败！");
        return JSONObject.toJSONString(responseBean);
    }
}
